Charger commands
curl --request GET \
--url https://api.energy-hub.io/v1.0.0/chargers/{chargerId}/commands \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.energy-hub.io/v1.0.0/chargers/{chargerId}/commands"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.energy-hub.io/v1.0.0/chargers/{chargerId}/commands', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"state": "PENDING",
"type": "CHARGING_START",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
"deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
]{
"errorCode": "UNAUTHORIZED",
"id": "9f68c660-b11c-4531-8f0d-b0864117ecbe",
"message": "Unauthorized"
}{
"errorCode": "CHARGER_NOT_FOUND",
"id": "9f68c660-b11c-4531-8f0d-b0864117ecbe",
"message": "[CHARGER] Requested Charger not found"
}Charger
Charger commands
Returns pending commands for charger
GET
/
v1.0.0
/
chargers
/
{chargerId}
/
commands
Charger commands
Authorizations
API key used for authorization and authentication.
Path Parameters
Charger ID
Response
Successful operation
The timestamp when command is created.
The ID of the command.
The state of the command.
PENDING- Command is waiting to be executed.FAILED- Execution of command has failed.EXECUTED- Command has been executed successfully.
Available options:
PENDING, EXECUTED, FAILED The name of the command type to execute.
Available options:
CHARGING_START, CHARGING_STOP, SET_CHARGING_CURRENT, SET_CHARGING_PHASES The ID of the user.
Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
The ID of the charger.

